#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=krakatoa1.15_base.ps
projection=-JM16.0c+
region=-R104.7/105.9/-6.8/-5.5
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map krakatoa1.15' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/l10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    -6.235   105.359
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    -5.994   105.423
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    -6.137   105.454
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    -6.126   105.555
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    -6.140   105.451
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    -5.625   105.308
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    -6.084   105.565
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    -6.030   105.433
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    -6.286   105.238
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    -6.335   105.158
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    -6.089   105.435
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    -5.732   105.395
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    -6.692   105.387
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    -5.977   105.414
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    -6.135   105.446
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    -6.091   105.393
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    -6.196   105.408
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    -6.105   105.351
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    -6.172   105.296
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    -6.702   105.183
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    -6.370   104.891
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    -6.130   105.440
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    -5.708   105.218
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    -6.116   105.418
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    -6.150   105.423
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    -6.172   105.384
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    -6.294   105.218
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    -6.123   105.319
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    -6.243   105.317
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    -6.100   105.405
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    -6.066   105.391
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    -6.533   105.788
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    -6.128   105.433
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    -6.091   105.366
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    -6.058   105.412
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    -6.145   105.394
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    -5.847   104.821
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    -6.141   105.465
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    -6.087   105.386
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    -6.111   105.336
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    -6.211   104.793
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    -6.152   105.413
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    -6.034   105.403
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    -6.066   105.331
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    -6.269   105.349
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    -6.119   105.438
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    -6.087   105.529
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.237   105.356
    -6.235   105.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.223   105.193
    -6.235   105.359
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.991   105.419
    -5.994   105.423
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.972   105.348
    -5.994   105.423
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.143   105.449
    -6.137   105.454
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.179   105.348
    -6.137   105.454
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.123   105.559
    -6.126   105.555
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.144   105.313
    -6.126   105.555
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.138   105.448
    -6.140   105.451
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.085   105.329
    -6.140   105.451
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.623   105.309
    -5.625   105.308
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.504   105.380
    -5.625   105.308
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.075   105.563
    -6.084   105.565
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.049   105.368
    -6.084   105.565
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.025   105.425
    -6.030   105.433
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.838   105.439
    -6.030   105.433
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.307   105.219
    -6.286   105.238
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.126   105.227
    -6.286   105.238
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.339   105.152
    -6.335   105.158
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.145   105.148
    -6.335   105.158
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.082   105.430
    -6.089   105.435
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.957   105.448
    -6.089   105.435
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.725   105.400
    -5.732   105.395
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.646   105.344
    -5.732   105.395
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.687   105.388
    -6.692   105.387
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.578   105.386
    -6.692   105.387
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.972   105.415
    -5.977   105.414
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.800   105.451
    -5.977   105.414
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.140   105.449
    -6.135   105.446
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.025   105.420
    -6.135   105.446
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.072   105.402
    -6.091   105.393
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.931   105.429
    -6.091   105.393
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.193   105.409
    -6.196   105.408
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.163   105.246
    -6.196   105.408
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.107   105.350
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.100   105.298
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.171   105.286
    -6.172   105.296
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.306   105.144
    -6.172   105.296
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.708   105.176
    -6.702   105.183
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.536   105.050
    -6.702   105.183
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.372   104.888
    -6.370   104.891
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.214   105.019
    -6.370   104.891
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.136   105.430
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.162   105.396
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.698   105.221
    -5.708   105.218
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.818   105.112
    -5.708   105.218
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.113   105.417
    -6.116   105.418
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.123   105.368
    -6.116   105.418
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.149   105.421
    -6.150   105.423
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.162   105.373
    -6.150   105.423
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.173   105.381
    -6.172   105.384
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.200   105.363
    -6.172   105.384
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.296   105.219
    -6.294   105.218
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.170   105.328
    -6.294   105.218
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.122   105.321
    -6.123   105.319
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.098   105.257
    -6.123   105.319
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.233   105.321
    -6.243   105.317
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.250   105.289
    -6.243   105.317
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.115   105.380
    -6.100   105.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.090   105.291
    -6.100   105.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.064   105.390
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.049   105.299
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.544   105.776
    -6.533   105.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.502   105.743
    -6.533   105.788
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.124   105.432
    -6.128   105.433
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.105   105.392
    -6.128   105.433
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.090   105.368
    -6.091   105.366
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.088   105.289
    -6.091   105.366
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.059   105.415
    -6.058   105.412
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.965   105.371
    -6.058   105.412
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.141   105.401
    -6.145   105.394
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.026   105.404
    -6.145   105.394
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.850   104.817
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.917   104.764
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.140   105.464
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.129   105.342
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.088   105.386
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.084   105.361
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.110   105.335
    -6.111   105.336
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.154   105.277
    -6.111   105.336
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.213   104.790
    -6.211   104.793
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.225   104.819
    -6.211   104.793
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.148   105.412
    -6.152   105.413
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.263   105.256
    -6.152   105.413
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.030   105.408
    -6.034   105.403
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.953   105.385
    -6.034   105.403
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.063   105.327
    -6.066   105.331
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.005   105.312
    -6.066   105.331
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.272   105.342
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.309   105.206
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.115   105.440
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.140   105.410
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.090   105.528
    -6.087   105.529
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.811   105.704
    -6.087   105.529
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    -6.235   105.359   -51.356     3.423     8.442
    -5.994   105.423   -53.291     2.381     5.527
    -6.137   105.454   -42.325     3.950    10.733
    -6.126   105.555   -43.265     3.284     9.024
    -6.140   105.451   -42.634     2.552     5.156
    -5.625   105.308   -42.647     3.731     9.930
    -6.084   105.565   -49.490     4.028     7.773
    -6.030   105.433   -28.147     3.399    10.119
    -6.286   105.238   -39.236     2.995     6.989
    -6.335   105.158   -52.931     2.950     7.787
    -6.089   105.435   -36.295     2.256     5.262
    -5.732   105.395   -43.235     1.747     3.089
    -6.692   105.387   -46.318     1.723     3.211
    -5.977   105.414   -42.815     2.144     4.781
    -6.135   105.446   -50.670     2.580     3.838
    -6.091   105.393   -63.647     3.913     7.025
    -6.196   105.408   -45.596     3.608     6.621
    -6.105   105.351   -52.671     1.978     4.103
    -6.172   105.296   -11.710     5.325     6.417
    -6.702   105.183   -49.533     2.779     6.471
    -6.370   104.891   -39.300     2.866     5.634
    -6.130   105.440   -57.184     1.848     6.988
    -5.708   105.218   -63.650     2.365    13.521
    -6.116   105.418   -50.951     2.806     5.835
    -6.150   105.423   -52.336     3.565     9.879
    -6.172   105.384   -65.529     4.072     7.238
    -6.294   105.218    40.059     0.353     7.843
    -6.123   105.319   -50.504     3.041     8.827
    -6.243   105.317   -72.097     2.032     3.628
    -6.100   105.405   -32.988     3.819    10.346
    -6.066   105.391   -53.357     1.795     3.975
    -6.533   105.788   -53.358     2.575     7.308
    -6.128   105.433   -57.061     1.899     3.684
    -6.091   105.366   -59.554     1.785     7.808
    -6.058   105.412   -60.422     1.616     5.788
    -6.145   105.394   -56.616     2.105     4.793
    -5.847   104.821   -31.516     2.725     6.118
    -6.141   105.465   -58.341     2.776     5.475
    -6.087   105.386   -65.865     2.101     6.913
    -6.111   105.336   -49.995     2.792     7.109
    -6.211   104.793   -35.333     2.401     7.833
    -6.152   105.413   -48.950     3.672     9.503
    -6.034   105.403   -58.404     2.045     5.456
    -6.066   105.331   -46.898     1.888     3.597
    -6.269   105.349   -44.873     2.309     4.153
    -6.119   105.438   -54.073     2.536     8.198
    -6.087   105.529   -56.026     4.329     8.920
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    -6.754   104.745   -43.093     1.697     3.131
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    -6.754   104.767   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    -6.754   104.745     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    -6.754   104.745     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    -6.799   104.745   5 km
END
