#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=krakatoa1.15_dcal.ps
projection=-JM16.0c+
region=-R102.9/107.7/-8.6/-3.7
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration krakatoa1.15' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/l10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.567   105.171
    -6.235   105.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -6.235   105.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -5.994   105.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -5.994   105.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.137   105.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.567   105.171
    -6.137   105.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -6.137   105.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.567   105.171
    -6.126   105.555
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.567   105.171
    -6.140   105.451
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.140   105.451
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.140   105.451
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -6.140   105.451
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.863   104.857
    -5.625   105.308
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -5.625   105.308
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -6.084   105.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.567   105.171
    -6.030   105.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.286   105.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.286   105.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.335   105.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -6.335   105.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.345   105.976
    -6.335   105.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.567   105.171
    -6.089   105.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.567   105.171
    -6.089   105.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.089   105.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.689   105.589
    -6.089   105.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -5.977   105.414
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.135   105.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.172   106.646
    -6.135   105.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.845   105.742
    -6.091   105.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.091   105.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.091   105.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.091   105.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.196   105.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.196   105.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.845   105.742
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.845   105.742
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.105   105.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.172   105.296
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.172   105.296
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.702   105.183
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.370   104.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.370   104.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.370   104.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.370   104.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.130   105.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -5.708   105.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -5.708   105.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.116   105.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.116   105.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.116   105.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.116   105.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.150   105.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.150   105.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.150   105.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.150   105.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.172   105.384
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.172   105.384
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.172   105.384
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.172   105.384
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.172   105.384
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.294   105.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.123   105.319
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.123   105.319
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.123   105.319
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.123   105.319
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.243   105.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.243   105.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.243   105.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.243   105.317
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.100   105.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.100   105.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.100   105.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.100   105.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.066   105.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.533   105.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.172   106.646
    -6.533   105.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.172   106.646
    -6.533   105.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.554   106.750
    -6.533   105.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.554   106.750
    -6.533   105.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.128   105.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.128   105.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.091   105.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.091   105.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.091   105.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.091   105.366
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.058   105.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.058   105.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.058   105.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.145   105.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.145   105.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.145   105.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.863   104.857
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.017   104.059
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.017   104.059
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.690   104.730
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.690   104.730
    -5.847   104.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.172   106.646
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.172   106.646
    -6.141   105.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.087   105.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.111   105.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.111   105.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.111   105.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.111   105.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.211   104.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.211   104.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.211   104.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.211   104.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.211   104.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.152   105.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.152   105.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.152   105.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.034   105.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.034   105.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.034   105.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.034   105.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.066   105.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.066   105.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.066   105.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.269   105.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.613   105.693
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.368   105.245
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.524   104.497
    -6.119   105.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.120   106.130
    -6.087   105.529
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    -5.567   105.171     0.300
    -6.345   105.976     0.300
    -6.689   105.589     0.300
    -4.863   104.857     0.300
    -6.120   106.130     0.300
    -6.172   106.646     0.300
    -5.845   105.742     0.300
    -5.368   105.245     0.300
    -5.524   104.497     0.300
    -6.613   105.693     0.300
    -6.554   106.750     0.300
    -5.017   104.059     0.300
    -4.690   104.730     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.235   105.359     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.994   105.423     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.137   105.454     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.126   105.555     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.140   105.451     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.625   105.308     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.084   105.565     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.030   105.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.286   105.238     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.335   105.158     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.089   105.435     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.732   105.395     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.692   105.387     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.977   105.414     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.135   105.446     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.091   105.393     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.196   105.408     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.105   105.351     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.172   105.296     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.702   105.183     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.370   104.891     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.130   105.440     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.708   105.218     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.116   105.418     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.150   105.423     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.172   105.384     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.294   105.218     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.123   105.319     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.243   105.317     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.100   105.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.066   105.391     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.533   105.788     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.128   105.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.091   105.366     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.058   105.412     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.145   105.394     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.847   104.821     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.141   105.465     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.087   105.386     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.111   105.336     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.211   104.793     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.152   105.413     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.034   105.403     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.066   105.331     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.269   105.349     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.119   105.438     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.087   105.529     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    -6.137   105.356     0.000   222.000   222.000
    -6.137   105.356     0.000   444.000   444.000
END
